<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>Advanced Cuts for Cooperative OPF: decoop::AlgorithmOptions Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Advanced Cuts for Cooperative OPF
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Friends</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedecoop.html">decoop</a></li><li class="navelem"><a class="el" href="structdecoop_1_1_algorithm_options.html">AlgorithmOptions</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="structdecoop_1_1_algorithm_options-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">decoop::AlgorithmOptions Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Processes user input from file options_algorithm.txt.  
 <a href="structdecoop_1_1_algorithm_options.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="input_structs_8hpp_source.html">inputStructs.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae291f8136e977eb034ee35947dd7bac4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdecoop_1_1_algorithm_options.html#ae291f8136e977eb034ee35947dd7bac4">AlgorithmOptions</a> (const std::string &amp;path, const bool path_includes_name=false)</td></tr>
<tr class="memdesc:ae291f8136e977eb034ee35947dd7bac4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructs an <a class="el" href="structdecoop_1_1_algorithm_options.html" title="Processes user input from file options_algorithm.txt. ">AlgorithmOptions</a> object given a path to the option file. Allows to specify a different file name from the default options_algorithm.txt.  <a href="#ae291f8136e977eb034ee35947dd7bac4">More...</a><br/></td></tr>
<tr class="separator:ae291f8136e977eb034ee35947dd7bac4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a416177448ab5e0860a6608eb070d077a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a416177448ab5e0860a6608eb070d077a"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdecoop_1_1_algorithm_options.html#a416177448ab5e0860a6608eb070d077a">master_lp_file</a></td></tr>
<tr class="memdesc:a416177448ab5e0860a6608eb070d077a"><td class="mdescLeft">&#160;</td><td class="mdescRight">LP file name for master problem. <br/></td></tr>
<tr class="separator:a416177448ab5e0860a6608eb070d077a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e78934e5ce17d38d6306c201746f465"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7e78934e5ce17d38d6306c201746f465"></a>
unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdecoop_1_1_algorithm_options.html#a7e78934e5ce17d38d6306c201746f465">max_iters</a></td></tr>
<tr class="memdesc:a7e78934e5ce17d38d6306c201746f465"><td class="mdescLeft">&#160;</td><td class="mdescRight">Maximum number of iterations to perform. <br/></td></tr>
<tr class="separator:a7e78934e5ce17d38d6306c201746f465"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76b48fc86284a3356b5cc399bf71cf4c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a76b48fc86284a3356b5cc399bf71cf4c"></a>
unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdecoop_1_1_algorithm_options.html#a76b48fc86284a3356b5cc399bf71cf4c">primary_sp_type</a></td></tr>
<tr class="memdesc:a76b48fc86284a3356b5cc399bf71cf4c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Primary cut strategy. <br/></td></tr>
<tr class="separator:a76b48fc86284a3356b5cc399bf71cf4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87f857a8e8522132ff8e816a69816fdf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a87f857a8e8522132ff8e816a69816fdf"></a>
unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdecoop_1_1_algorithm_options.html#a87f857a8e8522132ff8e816a69816fdf">secondary_sp_type</a></td></tr>
<tr class="memdesc:a87f857a8e8522132ff8e816a69816fdf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Secondary cut strategy. <br/></td></tr>
<tr class="separator:a87f857a8e8522132ff8e816a69816fdf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c5f0b0ea6148f253787a84c2e5afc00"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7c5f0b0ea6148f253787a84c2e5afc00"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdecoop_1_1_algorithm_options.html#a7c5f0b0ea6148f253787a84c2e5afc00">initial_tau_factor</a></td></tr>
<tr class="memdesc:a7c5f0b0ea6148f253787a84c2e5afc00"><td class="mdescLeft">&#160;</td><td class="mdescRight">Factor to multiply with cooperating load to determine initial threshoold tau. <br/></td></tr>
<tr class="separator:a7c5f0b0ea6148f253787a84c2e5afc00"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a167bffea4292fe44e2ede95642823161"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a167bffea4292fe44e2ede95642823161"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdecoop_1_1_algorithm_options.html#a167bffea4292fe44e2ede95642823161">accept_gap</a></td></tr>
<tr class="memdesc:a167bffea4292fe44e2ede95642823161"><td class="mdescLeft">&#160;</td><td class="mdescRight">Acceptable optimality gap. <br/></td></tr>
<tr class="separator:a167bffea4292fe44e2ede95642823161"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4066cbd7583ea42db3bd3258017f7dd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad4066cbd7583ea42db3bd3258017f7dd"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdecoop_1_1_algorithm_options.html#ad4066cbd7583ea42db3bd3258017f7dd">rho</a></td></tr>
<tr class="memdesc:ad4066cbd7583ea42db3bd3258017f7dd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Safety factor when adjusting the feasibility threshold. <br/></td></tr>
<tr class="separator:ad4066cbd7583ea42db3bd3258017f7dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f206ae1268d151512e4d81b83ab6b88"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3f206ae1268d151512e4d81b83ab6b88"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdecoop_1_1_algorithm_options.html#a3f206ae1268d151512e4d81b83ab6b88">eps</a></td></tr>
<tr class="memdesc:a3f206ae1268d151512e4d81b83ab6b88"><td class="mdescLeft">&#160;</td><td class="mdescRight">Numerical value for subproblem objective to consider the suggested power profile feasible. <br/></td></tr>
<tr class="separator:a3f206ae1268d151512e4d81b83ab6b88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0f8dd6ff10b1a69a2a8bbaddf6512ff"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac0f8dd6ff10b1a69a2a8bbaddf6512ff"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdecoop_1_1_algorithm_options.html#ac0f8dd6ff10b1a69a2a8bbaddf6512ff">mu</a></td></tr>
<tr class="memdesc:ac0f8dd6ff10b1a69a2a8bbaddf6512ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convex combination factor when generating new corepoints for secondary cuts. <br/></td></tr>
<tr class="separator:ac0f8dd6ff10b1a69a2a8bbaddf6512ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:a1892205cd1bf4c1dcf8214cc4bfbcb7d"><td class="memItemLeft" align="right" valign="top">std::fstream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdecoop_1_1_algorithm_options.html#a1892205cd1bf4c1dcf8214cc4bfbcb7d">operator&gt;&gt;</a> (std::fstream &amp;in, <a class="el" href="structdecoop_1_1_algorithm_options.html">AlgorithmOptions</a> &amp;opt)</td></tr>
<tr class="memdesc:a1892205cd1bf4c1dcf8214cc4bfbcb7d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overloaded operator to read in the option file.  <a href="#a1892205cd1bf4c1dcf8214cc4bfbcb7d">More...</a><br/></td></tr>
<tr class="separator:a1892205cd1bf4c1dcf8214cc4bfbcb7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Processes user input from file options_algorithm.txt. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ae291f8136e977eb034ee35947dd7bac4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">decoop::AlgorithmOptions::AlgorithmOptions </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const bool&#160;</td>
          <td class="paramname"><em>path_includes_name</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructs an <a class="el" href="structdecoop_1_1_algorithm_options.html" title="Processes user input from file options_algorithm.txt. ">AlgorithmOptions</a> object given a path to the option file. Allows to specify a different file name from the default options_algorithm.txt. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">path</td><td>Path to the option file. Can, but does not have to, include the file name. </td></tr>
    <tr><td class="paramname">path_includes_name</td><td>Indicates whether path includes name of the option file. Default value is false. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Friends And Related Function Documentation</h2>
<a class="anchor" id="a1892205cd1bf4c1dcf8214cc4bfbcb7d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::fstream&amp; operator&gt;&gt; </td>
          <td>(</td>
          <td class="paramtype">std::fstream &amp;&#160;</td>
          <td class="paramname"><em>in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structdecoop_1_1_algorithm_options.html">AlgorithmOptions</a> &amp;&#160;</td>
          <td class="paramname"><em>opt</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Overloaded operator to read in the option file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">in</td><td>Reference to std::fstream object containing the option file. </td></tr>
    <tr><td class="paramname">opt</td><td>Reference to <a class="el" href="structdecoop_1_1_algorithm_options.html" title="Processes user input from file options_algorithm.txt. ">AlgorithmOptions</a> object to store input. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following files:<ul>
<li>inc/<a class="el" href="input_structs_8hpp_source.html">inputStructs.hpp</a></li>
<li>src/<a class="el" href="input_structs_8cpp.html">inputStructs.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.5
</small></address>
</body>
</html>
